Submit Collection Request

Submit a collection payment request. This will lock in a rate and await approval.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Amount in USD or local currency

The amount field and the localAmount field are interchangeable in the request body. Either one is required, but not both. Specifying the USD amount will then calculate an amount in local currency based on the partner rates, while specifying a localAmount in the local currency will fix this amount for the user while calculating the USD amount from the rates. The convertedAmount in the response body indicates the amount in local currency that has either been fixed or calculated.

🚧

Ten minutes expiry

Collection requests have ten minutes to be accepted or will automatically mark itself as expired.

📘

Force Accept

Setting forceAccept field to true allows you to skip the accept collection request and your collection would start processing once you submit collection request.

Note: You should expect the bankInfo object for bank channel type if forceAccept is true, Also keep in mind force accept for bank channel type adds a bit more latency to your submit collection request.

📘

Channel Note

When the channel id selected requires a redirect for the deposit to be made and the forceAccept value is set to true, then the redirectUrl field is required and the request will fail if it is not provided.

Note: the redirectUrlhas to be a valid url with the http:// or https:// scheme included.

Body Params
string
required

The identifier of the specific channel to execute payment through

string
required

Represents a unique id for the transaction from your end

int32

Amount in USD to transact

int32

The amount in local currency to transact

recipient
object

Recipient's KYC details

source
object

Source account details

boolean
Defaults to false

Specify whether or not you want to skip the accept collection step

string
enum
Defaults to retail

Determines the type of validation that is performed on the recipient. If value is institution, the recipient request object will be validated to ensure it includes businessName and businessId parameter. If the value is retail, the recipient request object will be validated to ensure it includes name, phone, email, country, address, dob, idNumber and idType

Allowed:
string

This is used to determine where the customer is redirected to after a transaction is initiated for channels that require redirect. This param is required if the selected channel requires redirect and forceAccept is set to true.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json